org.crosswire.jsword.index.lucene.analysis

## Class KeyFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.crosswire.jsword.index.lucene.analysis.AbstractBookTokenFilter
        - - org.crosswire.jsword.index.lucene.analysis.KeyFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class KeyFilter
      extends AbstractBookTokenFilter

  A KeyFilter normalizes Key.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyFilter(Book book, org.apache.lucene.analysis.TokenStream in)` Construct a KeyFilter tied to a Book.
    `KeyFilter(org.apache.lucene.analysis.TokenStream in)` Construct a KeyFilter not tied to a Book.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `incrementToken()`

    - ### Methods inherited from class org.crosswire.jsword.index.lucene.analysis.AbstractBookTokenFilter

      `equals, getBook, hashCode, setBook`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end, reset`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyFilter

          public KeyFilter(org.apache.lucene.analysis.TokenStream in)

      Construct a KeyFilter not tied to a Book.
      Parameters:
        `in` - the input TokenStream

    - #### KeyFilter

          public KeyFilter(Book book,
                   org.apache.lucene.analysis.TokenStream in)

      Construct a KeyFilter tied to a Book.
      Parameters:
        `book` - the book to which this TokenFilter is tied.
        `in` - the input TokenStream

  - ### Method Detail

    - #### incrementToken

          public boolean incrementToken()
                                 throws IOException

      Specified by:
        `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
      Throws:
        `IOException`